For the complete documentation index, see llms.txt. This page is also available as Markdown.

Casos

List of public endpoints for cases

Cases represent instances of your process templates. For example, if you have a process template called Purchase Order Approval, a case would be a specific purchase order that needs to be approved.

In Seliom's API, cases also receive the name of Process Instances.

Index

GET https://api.seliom.com/process_monitor/process_instances

This endpoint retrieves all the cases that the user has permissions to see.

Query Parameters

Name
Type
Description

sort_by

string

Sort the resulting cases by: status, newest, oldest.

created_before

string

Date in ISO 8601 to filter by.

created_after

string

Date in ISO 8601 to filter by.

status

array

Array of statuses to filter by: running, error, stopped, completed, paused.

process_type

array

Array of UUIDs of the process templates to filter by

cursor

string

Cursor used for pagination

{
    "processes": [
        "name": "My first time-off request",
        "created_at": "2021-02-22 18:37:25 UTC",
        "uuid": "23d6ff0b-717c-4712-b988-ab3e5c9732f3",
        "completed_date": null,
        "status": "running",
        "sequential_id": 1,
        "process_template": {
            "name": "Time-off Requests",
            "uuid": "5c7549b6-3f7b-4c96-8346-141326da5cf0",
            "launchable": true,
            "resource_type": "process",
            "automated": true
        }, 
        "launcher" : {
            "first_name": "Clark",
            "last_name": "Kent",
            "uuid": "3cd4ca21-fa4d-4bed-9217-fb495c748d0c"
        }
    ],
    "next_cursor": null,
    "prev_cursor": null, 
    "total": 1,
    "limit": 15,
    "page": 1
}

Show Case

GET https://api.seliom.com/process_monitor/process_instances/:process_instance_uuid

This endpoint retrieves a specific case and the permissions your user has for it.

Path Parameters

Name
Type
Description

process_instance_uuid

string

UUID of the process instance

List Case Documents

GET https://api.seliom.com/process_monitor/process_instances/:process_instance_uuid/documents

This endpoint retrieves all task submissions associated to a case that contain documents.

Path Parameters

Name
Type
Description

process_instance_uuid

string

UUID of the process instance

Create New Case

POST https://api.seliom.com/process_instances

This endpoint creates a new case based on a given process template.

Request Body

Name
Type
Description

label

string

Label for the new case. Required if it has not been automated in the process template.

submission_elements

object

Form elements required to create a case for the given process template

process_template_uuid

string

UUID of the process template

Pause Case

PUT https://api.seliom.com/process_monitor/process_instances/:process_instance_uuid/pause

This endpoint pauses a process instance that is currently running.

Stop Case

PUT https://api.seliom.com/process_monitor/process_instances/:process_instance_uuid/stop

This endpoint stops a process instance that is currently running.

Resume Case

PUT https://api.seliom.com/process_monitor/process_instances/:process_instance_uuid/resume

This endpoint resumes a process instance that was previously stopped or paused.

Delete Case

DELETE https://api.seliom.com/process_monitor/process_instances/:process_instance_uuid

This endpoint permanently deletes a process instance.

Last updated